petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatSeqSBAIJSetPreallocationCSR

Allocates memory for a sparse sequential matrix in symmetric block AIJ format.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqSBAIJSetPreallocationCSR(Mat B,PetscInt bs,const PetscInt i[],const PetscInt j[], const PetscScalar v[])

### Input Parameters

| B | - the matrix
| i | - the indices into j for the start of each local row (starts with zero)
| j | - the column indices for each local row (starts with zero) these must be sorted for each row
| v | - optional values in the matrix

### Notes

The order of the entries in values is specified by the MatOption MAT_ROW_ORIENTED. For example, C programs may want to use the default MAT_ROW_ORIENTED=PETSC_TRUE and use an array v[nnz][bs][bs] where the second index is over rows within a block and the last index is over columns within a block row. Fortran programs will likely set MAT_ROW_ORIENTED=PETSC_FALSE and use a Fortran array v(bs,bs,nnz) in which the first index is over rows within a block column and the second index is over columns within a block.

### Keywords

matrix, block, aij, compressed row, sparse

### See Also

MatCreate(), MatCreateSeqSBAIJ(), MatSetValuesBlocked(), MatSeqSBAIJSetPreallocation(), MATSEQSBAIJ

Level:developer
Location:src/mat/impls/sbaij/seq/sbaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages